List Cash Settlements
curl --request GET \
--url https://api.example.com/api/v1/ops/cash-settlements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/ops/cash-settlements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/ops/cash-settlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"cashSettlementId": "01981264-9aa0-7d18-a4a4-3b9a9a3a1c13",
"checkoutSessionId": "01981255-3c7a-7bd4-bb5f-8b47bc4dce91",
"organizationId": "0197a7f7-7291-7a43-96db-2c8580b80c5d",
"organization": {
"document": "45.723.174/0001-10",
"documentType": "CNPJ",
"name": "Cooperativa Metropolitana",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"type": "COOPERATIVE",
"email": "contato@estrela.com",
"legalName": "Cooperativa Metropolitana de Transporte Ltda.",
"logo": "organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"tradeName": "Metropolitana"
},
"cooperativeId": "0197a800-24e6-76a2-90ed-ff0f6fba7b0c",
"cooperative": {
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organization": {
"document": "45.723.174/0001-10",
"documentType": "CNPJ",
"name": "Cooperativa Metropolitana",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"type": "COOPERATIVE",
"email": "contato@estrela.com",
"legalName": "Cooperativa Metropolitana de Transporte Ltda.",
"logo": "organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"tradeName": "Metropolitana"
}
},
"transportOperatorId": "01980d30-6a3c-7a42-9182-17ad6324d3aa",
"transportOperator": {
"document": "12345678000190",
"documentType": "CNPJ",
"legalName": "Joao Silva Transportes Ltda",
"transportOperatorId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"tradeName": "Silva Transportes"
},
"driverId": "0197a807-1ec7-75e8-8ff8-df64dd070046",
"driver": {
"driverId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"user": {
"name": "Maria Silva",
"phoneDdi": "55",
"phoneIso": "BR",
"phoneNumber": "99999999999",
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"avatar": "users/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/avatar/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"email": "maria@example.com"
}
},
"declaredAmount": 11400,
"status": "PENDING",
"submittedBy": "0197a805-0910-7eb2-bae7-90a13df2a9b2",
"checkoutSession": {
"checkoutSessionId": "01981255-3c7a-7bd4-bb5f-8b47bc4dce91",
"tripId": "0197a80f-2d8f-7710-b243-b67fb477a1c0",
"paymentMethod": "CASH",
"expiresAt": "2026-07-08T12:20:00.000Z",
"canceledAt": null,
"confirmedAt": null
},
"createdAt": "2026-07-08T12:11:08.000Z",
"submittedAt": "2026-07-08T12:11:08.000Z",
"updatedAt": "2026-07-08T12:11:08.000Z",
"paymentId": null,
"confirmedBy": null,
"rejectedBy": null,
"rejectionReason": null,
"createdBy": null,
"updatedBy": null,
"confirmedAt": null,
"rejectedAt": null
}
],
"meta": {
"limit": 10,
"page": 1,
"totalItems": 100,
"totalPages": 10
}
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Insufficient permissions",
"statusCode": 403
}{
"message": "Internal Server Error",
"statusCode": 500
}Cash Settlement
List Cash Settlements
Lists cash settlements.
GET
/
api
/
v1
/
ops
/
cash-settlements
List Cash Settlements
Authorizations
bearerbearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Items per page
Example:
10
Page number
Example:
1
Checkout session identifier
Example:
"01981255-3c7a-7bd4-bb5f-8b47bc4dce91"
Driver identifier
Example:
"0197a807-1ec7-75e8-8ff8-df64dd070046"
Cash settlement status
Available options:
PENDING, CONFIRMED, REJECTED Example:
"PENDING"
Submission date range
Example:
">=2024-01-01;<=2024-12-31"
Transport operator identifier
Example:
"01980d30-6a3c-7a42-9182-17ad6324d3aa"
Field to sort by
Available options:
submittedAt, declaredAmount, status Example:
"submittedAt"
Sort order
Available options:
asc, desc Example:
"desc"
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.